﻿<UserControl x:Class="VECTO3GUI2020.Views.Multistage.AdditionalJobInfoViews.AdditionalJobInfoViewMultiStage"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:VECTO3GUI2020.Views.Multistage.AdditionalJobInfoViews"
             xmlns:common="clr-namespace:VECTO3GUI2020.ViewModel.Implementation.Common"
             xmlns:resources="clr-namespace:System.Resources;assembly=mscorlib"
             xmlns:properties="clr-namespace:VECTO3GUI2020.Properties"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800" d:DataContext="{d:DesignInstance common:AdditionalJobInfoViewModelMultiStage }">
    <Grid>
        <StackPanel Margin="10">
            <Label>This Job cannot be simulated</Label>
            <Label Content="{Binding ErrorInfo}" 
                   Visibility="{Binding ErrorInfo, 
                    Converter={StaticResource NullToVisibilityConverter}}"/>
            <Border Margin="2" BorderBrush="{DynamicResource ButtonHighlightColor}" BorderThickness="2" Visibility="{Binding InvalidEntriesPresent, 
                        Converter={StaticResource BooleanToVisibilityConverter}}">
                <StackPanel>
                    <Label Style="{StaticResource LabelStyle1}">
                        Invalid Parameters:
                    </Label>
                    <ItemsControl ItemsSource="{Binding InvalidEntries }">
                        <ItemsControl.ItemTemplate>
                            <DataTemplate>
                                <BulletDecorator>
                                    <BulletDecorator.Bullet>
                                        <Ellipse HorizontalAlignment="Center" VerticalAlignment="Center" Height="5" Width="5" Fill="{DynamicResource AccentColorButton}"/>
                                    </BulletDecorator.Bullet>
                                    <TextBlock Margin="5 0">
                                        <TextBlock.Text>
                                            <Binding Path="." Converter="{StaticResource PropertyNameToLabelConverter}">
                                                <Binding.ConverterParameter>
                                                    <x:Array Type="resources:ResourceManager">
                                                        <x:Static MemberType="properties:GUILabels" Member="ResourceManager"/>
                                                        <x:Static MemberType="properties:BusStrings" Member="ResourceManager"/>
                                                        <x:Static MemberType="properties:Strings" Member="ResourceManager"/>
                                                    </x:Array>
                                                </Binding.ConverterParameter>
                                            </Binding>
                                        </TextBlock.Text>
                                    </TextBlock>
                                </BulletDecorator>
                            </DataTemplate>
                        </ItemsControl.ItemTemplate>
                        <ItemsControl.ItemsPanel>
                            <ItemsPanelTemplate>
                                <WrapPanel Margin="2"  Orientation="Vertical" IsItemsHost="True"/>
                            </ItemsPanelTemplate>
                        </ItemsControl.ItemsPanel>
                    </ItemsControl>
                </StackPanel>
            </Border>
        </StackPanel> 
    </Grid>
</UserControl>
